Bug 62550 - Modify SubResult Naming Policy
Summary: Modify SubResult Naming Policy
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 4.0
Hardware: All All
: P2 enhancement (vote)
Target Milestone: JMETER_5.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on: 62648
Blocks: 60917
  Show dependency tree
 
Reported: 2018-07-17 20:21 UTC by Philippe Mouawad
Modified: 2018-08-22 21:58 UTC (History)
1 user (show)



Attachments
Patch implementing enhancement (2.60 KB, patch)
2018-07-17 20:23 UTC, Philippe Mouawad
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2018-07-17 20:21:17 UTC
With upcoming 5.0 version and as part of Bug 62470, subresults will also be available in CSV file.

As a consequence they 'll be taken into account in dashboard:

Hits Per Second which excluded embedded resources can now include them

But I think we need to make a modification on SubResults naming.


Currently, they are named as per URL for HTTP Request for example.
I suggest sub results follow naming policy so that they are correctly handled by Report.

We would as a consequence have to change property to show in CSV the URL:

- jmeter.save.saveservice.url=true
Comment 1 Philippe Mouawad 2018-07-17 20:23:22 UTC
Created attachment 36036 [details]
Patch implementing enhancement
Comment 2 Philippe Mouawad 2018-07-25 20:24:45 UTC
Author: pmouawad
Date: Wed Jul 25 20:23:50 2018
New Revision: 1836667

URL: http://svn.apache.org/viewvc?rev=1836667&view=rev
Log:
Bug 62550 - Modify SubResult Naming Policy
This also fixed Bug 60917 - Load Test with embedded resources download : Hits per seconds does not take into account the downloaded resources
Bugzilla Id: 62550

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/bin/report-template/content/pages/Throughput.html.fmkr
    jmeter/trunk/bin/testfiles/jmeter-batch.properties
    jmeter/trunk/src/core/org/apache/jmeter/samplers/SampleResult.java
    jmeter/trunk/src/core/org/apache/jmeter/samplers/SampleSaveConfiguration.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC4Impl.java
    jmeter/trunk/test/src/org/apache/jmeter/save/TestCSVSaveService.java
    jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2018-07-28 14:46:48 UTC
Author: pmouawad
Date: Sat Jul 28 13:30:22 2018
New Revision: 1836907

URL: http://svn.apache.org/viewvc?rev=1836907&view=rev
Log:
Bug 62550 - Modify SubResult Naming Policy

Bugzilla Id: 62550

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPJavaImpl.java

Author: pmouawad
Date: Sat Jul 28 14:14:58 2018
New Revision: 1836911

URL: http://svn.apache.org/viewvc?rev=1836911&view=rev
Log:
Bug 62550 - Modify SubResult Naming Policy

Bugzilla Id: 62550

Modified:
    jmeter/trunk/bin/testfiles/Bug52310.xml
    jmeter/trunk/bin/testfiles/HTMLParserTestFile_2.xml
    jmeter/trunk/bin/testfiles/TEST_HTTP_HttpClient4.xml
    jmeter/trunk/bin/testfiles/TEST_HTTP_Java.xml
    jmeter/trunk/bin/testfiles/TestRedirectionPolicies.xml


Author: pmouawad
Date: Sat Jul 28 14:37:40 2018
New Revision: 1836912

URL: http://svn.apache.org/viewvc?rev=1836912&view=rev
Log:
Bug 62550 - Modify SubResult Naming Policy
Rename Sample Results generated by Debug Post Processor (by the way a bit strange that a Post Processor generates SampleResults ?)
Bugzilla Id: 62550

Modified:
    jmeter/trunk/bin/testfiles/JDBC_TESTS.xml
Comment 4 Philippe Mouawad 2018-07-28 15:07:44 UTC
Author: pmouawad
Date: Sat Jul 28 15:07:14 2018
New Revision: 1836922

URL: http://svn.apache.org/viewvc?rev=1836922&view=rev
Log:
Bug 62550 - Modify SubResult Naming Policy
Rename Sample Results
Bugzilla Id: 62550

Modified:
    jmeter/trunk/bin/testfiles/Bug52968.xml
    jmeter/trunk/bin/testfiles/Bug56811.xml